from odoo import models, fields, _


class BrosseBankDeposits(models.Model):
    _name = 'brosse.bank.deposits'
    _description = 'Bank Deposits'

    amount = fields.Monetary(string="Amount", currency_field='currency_id')
    currency_id = fields.Many2one('res.currency', string='Account Currency')
    description = fields.Char(string="Description")
    comment = fields.Text(string="Comment")
    partner_name = fields.Char(string="Partner Name")
    taxpayer_name = fields.Char(string="Taxpayer Name")

    bank_account_id = fields.Many2one('brosse.bank.account', string="Bank Account")
